// stores/MapPrint.js
import { defineStore } from 'pinia';

export const useMapPrintStore = defineStore('mapPrint', {
    state: () => ({
        points: [],
    }),
    persist: true, // 🔥 вот это важно
    actions: {
        setPoints(data) {
            this.points = data;
        },
        clear() {
            this.points = [];
        }
    },
});
